Skip to main content
GET
https://app.famulor.de
/
api
/
user
/
knowledgebases
/
{knowledgebaseId}
/
documents
/
{documentId}
curl -X GET "https://app.famulor.de/api/user/knowledgebases/1/documents/1" \
     -H "Authorization: Bearer YOUR_API_KEY" \
     -H "Content-Type: application/json"
{
  "data": {
    "id": 1,
    "name": "Product Handbook",
    "description": "Complete user manual for the product",
    "type": "pdf",
    "type_label": "PDF",
    "status": "active",
    "status_label": "Active",
    "created_at": "2025-01-05T10:30:00.000000Z",
    "updated_at": "2025-01-05T10:35:00.000000Z"
  }
}
This endpoint returns the details of a specific document within a knowledge base.

Path Parameters

knowledgebaseId
integer
required
The unique identifier of the knowledge base
documentId
integer
required
The unique identifier of the document

Response Fields

data
object
The document object
curl -X GET "https://app.famulor.de/api/user/knowledgebases/1/documents/1" \
     -H "Authorization: Bearer YOUR_API_KEY" \
     -H "Content-Type: application/json"
{
  "data": {
    "id": 1,
    "name": "Product Handbook",
    "description": "Complete user manual for the product",
    "type": "pdf",
    "type_label": "PDF",
    "status": "active",
    "status_label": "Active",
    "created_at": "2025-01-05T10:30:00.000000Z",
    "updated_at": "2025-01-05T10:35:00.000000Z"
  }
}